Subject: Re: M3UA: Multiple SGPs per Host

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 10 Aug 2001 01:31:41 -0500

Sandeep,

Please see comments below...

[email-masked] wrote:                            (Thu, 02 Aug 2001 11:33:31)
> 
> Brian,
> 
> Please see a comment below .
> 
> Regards,
> -Sandeep
> 
> > "Brian F. G. Bidulock" <[email-masked]> on 08/02/2001 12:45:30 AM
> > 
> > John, Rajiv, Sandeep,
> > 
> > It is not the case that ASP == Host or SGP == Host for M3UA.
> > You can do it that way, if you like, but you can also have
> > multiple process instances on each host constituting an ASP
> > or SGP.  What is clear from the draft and makes perfect sense
> > is that ASP == SCTP Endpoint and SGP == SCTP Endpoint: the
> > ASP management relies upon this fact.  It is possible to have
> > more than one SCTP Endpoint per host,
> 
> Sandeep >> Not when they share the same SCTP port and are in role of server.

Yes, even in that case.  Just as long as the client's IP addresses/port
number differs.

> > so your assumptions are not necessarily the case.
> > 
> > 
> > This is not in conflict with the concept of an IANA port
> > number or the client-server approach to forming connections.
> > 
> > 
> > However, if your SGP are different processes on the same host,
> > and the SGP are "different" in some way that the ASPs need to
> > connect to them separately, I would recommend not using the
> > IANA port number but, rather, performing static port assignment
> > on the SG Host so that the ASP can identify the SG to which it
> > is connecting.
> 
> Sandeep>> Not only in the case where the same ASP connects to two SGPs in
>    the same Host , that we need static port assignment. We need it
>    whenever two SGPs are there on the same Host. I think we need some
>    clarification in draft for the same.

You don't need static assignment when the SGPs are "identical".  M3UA
still has the requirement that all SGPs offer "identical" connectivity
to the SS7 network.  Therefore, an ASP cannot distiguish between them
anyway.  If your SGPs are not "identical" it breaks this M3UA assumption.

I do not agree with this SGP identity principle.  SGP as far as
I am concerned differ in capacity and local conditions.  However,
it is hard to conceive of two SGP on the same host which are in
some way different.  Therefore I associate with the IANA port number
the first time and get one of them, and associate again with the IANA
port number and get the second one.  Both are identical so the ASP
does not care which is which.  Static port assignment is possible but
not necessary.

--brian

> > 
> > 
> > With the addition of ASP Identifier, M3UA is completely
> > flexible to how you set up port numbers or approach dynamic
> > allocation of port numbers and host IP addresses.
> > 
> > --Brian
> > 
> > 
> > John Schantz wrote:                         (Wed, 01 Aug 2001 09:15:11)
> > > Sandeep,
> > >
> > >    I would assume that each SGP has its own IP address, hence, a common
> > > port number for M3UA should be expected.  The same is also true for a AS, I
> > > assume each ASP will have its own IP address (my ASPs certainly will).
> > >
> > >    Actually, I wish people would not mix up the AS, SG, and Host
> > > concepts.  My AS will be implemented on multiple CPU Hosts and the "system"
> > > will support multiple ASPs that are independent from the Host(s).
> > >
> > > John
> > >
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: Wednesday, August 01, 2001 3:22 AM
> > > To: sigtran
> > > Subject: RE: M3UA: Multiple SGPs per Host
> > >
> > >
> > >
> > >
> > >
> > > Rajiv,
> > >
> > > Each Sigtran adaptation layer has reserved one unique SCTP port. From
> > > section
> > > 1.4.8 of draft.
> > > "1.4.8 Client/Server Model
> > >     ...
> > > The SCTP Registered User Port Number Assignment for M3UA is 2905."
> > > If there can be multiple servers running on the same host , I see no
> > > relevance
> > > in reserving only one well-known port.  As ASP will still have to use some
> > > other
> > >
> > > mechanism to determine well-known ports of other SGPs in the host !!
> > > Also current spec does not associate SGP with a unique transport address.
> > >
> > > Regards,
> > > -Sandeep
> > >
> > >
> > >
> > >
> > >
> > >
> > > "Duhoon, Rajiv" <[email-masked]> on 07/31/2001 12:09:44 AM
> > >
> > > Please respond to [email-masked]
> > >
> > > To:   "sigtran" <[email-masked]>
> > > cc:    (bcc: Sandeep Mahajan/HSS)
> > >
> > > Subject:  RE: M3UA: Multiple SGPs per Host
> > >
> > >
> > >
> > >
> > >
> > > Sandeep,
> > > please see my comments below.......
> > >
> > > -Rajiv
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]]
> > > Sent: Thursday, July 26, 2001 3:32 AM
> > > To: sigtran
> > > Subject: M3UA: Multiple SGPs per Host
> > >
> > >
> > >
> > >
> > >
> > > Hi ,
> > >
> > > If we consider that  in a SGP-ASP configuration , ASP is a client and SGP is
> > > a
> > > server.  Is it allowed to have multiple SGPs on a single Host ??
> > >
> > > Yes, Its possible to have multiple SGPs on a single Host.
> > >
> > > Can a Single ASP connect to multiple of these SGPs residing on the same Host
> > > ??
> > >
> > > Yss, A Single ASP can connect to multiple of these SGPs on the same Host.
> > >
> > > Does SGP have a unique SCTP transport address , if so will there be multiple
> > > well known servers running on a Host if there are multiple SGPs  ??
> > >
> > > Yes each SGP need to have unique transport address which is basic
> > > requirement of
> > > establishing an association between two end points, that way there will be
> > > multiple
> > > well known servers running on a Host.
> > >
> > >
> > > Best Regards,
> > > -Sandeep
> > >
> > >
> > >
> > >
> > > ---
> > > You are currently subscribed to sigtran as: [email-masked]
> > > To unsubscribe send a blank email to
> > > [email-masked]
> > >
> > >
> > > ---
> > > You are currently subscribed to sigtran as: [email-masked]
> > > To unsubscribe send a blank email to
> > > [email-masked]
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> > >
> > > ---
> > > You are currently subscribed to sigtran as: [email-masked]
> > > To unsubscribe send a blank email to
> > > [email-masked]
> > >
> > >
> > > ---
> > > You are currently subscribed to sigtran as: [email-masked]
> > > To unsubscribe send a blank email to
> > [email-masked]
> > 
> > --
> > Brian F. G. Bidulock
> > [email-masked]
> > http://www.openss7.org/
> > 
> > 
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to
> > [email-masked]
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > ---
> > You are currently subscribed to sigtran as: [email-masked]
> > To unsubscribe send a blank email to [email-masked]
> 
-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: [email-masked]
Date: Fri, 10 Aug 2001 18:05:02 +0530

Hi ,

Please see my comments below.

Thanks and Regards,

Sandeep

"Brian F. G. Bidulock" <[email-masked]> on 08/10/2001 01:01:41 PM

Subject:  Re: M3UA: Multiple SGPs per Host

Sandeep,

.... [cut]

Sandeep >> I am only considering the case where a single Host is only
representing a single SG. Scenario where on the same Host there are 2 SGPs
belonging to 2 different SGs is not shown in "Figure 1 - Physical Model" of
M3UA. My understanding is that it is not required to support this scenario.
Now considering 2 SGPS are shown on the same Host in "Figure 1 - Physical Model"
of M3UA. These 2 SGPs should be representing the same SG. These two SGPs may be
Active/Standby or loadshare processes of a single SG and have the same Network
View. I am not sure if people will be interested to use SGPs in this
configuration , but  "Figure 1 - Physical Model" of M3UA does suggest this
configuration. Also a single ASP should be allowed to connect to both these
SGPs.
So if 2 SGPs are somehow present on the same Host (and there is no requirement
for Host to have more than one IP address), these two SGPs can only be
identified/differentiated by two different SCTP port numbers.
This is where some clarification is required in Sigtran UAs. Please see the text
I copied from SUA.

From section 7.2 of SUAv7
7.2 Port Number

   IANA has registered SCTP Port Number 14001 for SUA.  This port
   number is the port that the SGPs listen to when receiving SCTP
   datagrams.

--brian

..[cut]

---

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 10 Aug 2001 11:43:58 -0500

Sandeep,

Please see more comments below...

[email-masked] wrote:                            (Fri, 10 Aug 2001 18:05:02)
[snip]
> Sandeep >> I am only considering the case where a single Host is
> only representing a single SG. Scenario where on the same Host
> there are 2 SGPs belonging to 2 different SGs is not shown in
> "Figure 1 - Physical Model" of M3UA.

Wooo: I never though of two SGPs on one host representing
different SGs.

> My understanding is that it
> is not required to support this scenario.  Now considering 2 SGPS
> are shown on the same Host in "Figure 1 - Physical Model" of M3UA.
> These 2 SGPs should be representing the same SG. These two SGPs
> may be Active/Standby or loadshare processes of a single SG and
> have the same Network View. I am not sure if people will be
> interested to use SGPs in this configuration , but  "Figure 1 -
> Physical Model" of M3UA does suggest this configuration. Also a
> single ASP should be allowed to connect to both these SGPs.

My recommendation is don't do that. (Why do you want to do this
anyway?  What purpose does it serve?)

>
> So if 2 SGPs are somehow present on the same Host (and there is no
> requirement for Host to have more than one IP address), these two
> SGPs can only be identified/differentiated by two different SCTP
> port numbers.  This is where some clarification is required in
> Sigtran UAs. Please see the text I copied from SUA.

I don't think clarification is required for this oddball case.
Clarification may be needed to explicitly state that SGP/ASPs MAY
use static port configurations.  The drafts were always intended
to allow static port configurations.

>    number is the port that the SGPs listen to when receiving SCTP

This text may need to be changed.  Certainly M3UA and SUA never
intended to preclude a static port configuration where the SGP
listens on whatever port it wants to.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

From: [email-masked]
Date: Mon, 13 Aug 2001 14:51:35 +0530

Hi,

Best Regards,
-Sandeep

"Brian F. G. Bidulock" <[email-masked]> on 08/10/2001 11:13:58 PM

Sandeep,

[email-masked] wrote:                            (Fri, 10 Aug 2001
18:05:02)
[snip]

My recommendation is don't do that. (Why do you want to do this
anyway?  What purpose does it serve?)
Sandeep >> If this is not allowed as per SGP/ASP Architecture, I suggest we add
a NOTE for it.

Sandeep >> I suggest above text to be changed to.
IANA has registered SCTP Port Number 14001 for SUA. It is RECOMMENDED that SGPs
uses this SCTP port number for listening to new connections. SGPs MAY also use
some statically configured SCTP port number instead. This will specially be
REQUIRED for the case when more than one SGPs are present on the same Host.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 13 Aug 2001 12:57:56 -0500

Sandeep,

Please see comments below.......

[email-masked] wrote:                            (Mon, 13 Aug 2001 14:51:35)

[snip]
> Sandeep >> If this is not allowed as per SGP/ASP Architecture, I suggest we add

Any suggestions on what the note should say?

> REQUIRED for the case when more than one SGPs are present on the same Host.

I don't agree with the REQUIRED in the last sentence.  Strike it.  It is
redundant, the sentence before says static port assignment MAY be used
anytime the implementation wishes or requires.  That's enough.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---

From: [email-masked]
Date: Tue, 14 Aug 2001 19:57:33 +0530

Brian ,
Please see my comments ..

"Brian F. G. Bidulock" <[email-masked]> on 08/14/2001 12:27:56 AM

Sandeep,

[email-masked] wrote:                            (Mon, 13 Aug 2001
14:51:35)

[snip]

Any suggestions on what the note should say?
Sandeep >> Well, What I really wanted to say was that I do not want to disallow
this case. Let the users of SIGTRAN decide if they want to use it in their
System.

Sandeep >> Agreed.

--brian

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

---